localhost ansible_connection=local

{% if gw_stat.stat.exists %}
{% for gw in ssh_gateways | default([]) %}
{% if loop.first %}
[jumphost]
{% endif %}
jumphost{% if loop.index0 < 10 %}0{% endif %}{{ loop.index0 }} ansible_host={{ gw.public_fqdn | default(gw.ansible_host) }} ansible_user={{ gw.ansible_user }}

{% endfor %}
{% endif %}

[{{ os_infra.kubernetes.worker_role }}]
{% for node in vms.vms %}
{{ node.name }} ansible_host={{ ips[node.name] }} ansible_user={{ az_user_name }} ip={{ ips[node.name] }} private_ip={{ ips[node.name] }}
{% endfor %}

{% for group, hosts in groups.items() %}
{% if group != os_infra.kubernetes.worker_role and group != 'jumphost' and group !='all' and group != 'ungrouped' and group not in (os_infra.roles_group | default([])) and hosts %}

[{{ group }}]
{% for host in hosts %}
{{ host }} {% if hostvars[host].ansible_host is defined %}ansible_host={{ hostvars[host].ansible_host }}{% endif %} {% if hostvars[host].ansible_user is defined %}ansible_user={{ hostvars[host].ansible_user }}{% endif %} {% if hostvars[host].ip is defined %}ip={{ hostvars[host].ip }}{% endif %} {% if hostvars[host].public_ip is defined %}public_ip={{ hostvars[host].public_ip }}{% endif %} {% if hostvars[host].private_ip is defined %}private_ip={{ hostvars[host].private_ip }}{% endif %}

{% endfor %}
{% endif %}
{% endfor %}


{% for group in (os_infra.roles_group | default([])) %}
[{{ group }}:children]
{% for role in os_infra.roles_group[group] %}
{% if role in roles or role in (os_infra.roles_group | default([])) or role == os_infra.kubernetes.worker_role %}
{{ role }}
{% endif %}
{% endfor %}
{% endfor %}
